@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: $primary;
    background-color: $dark;
    font-family: $font-family-primary;
    font-size: rem(16);
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    color: $white;
    line-height: 1.2;
    font-family: $font-family-secondary;
}

h1, .h1 {
    font-weight: 600;
    font-size: rem(24);
    line-height: rem(30);
    margin-bottom: rem(24);

    @include media-breakpoint-up(md) {
        font-size: rem(32);
        line-height: rem(38);
        margin-bottom: rem(32);
    }
    @include media-breakpoint-up(xl) {
        font-size: rem(40);
        line-height: rem(48);
        margin-bottom: rem(48);

        &.h1-xl {
            font-size: rem(48);
            line-height: rem(54);
        }
    }
}

h2, .h2 {
    font-weight: 600;
    font-size: rem(24);
    margin-bottom: rem(24);

    @include media-breakpoint-up(md) {
        font-size: rem(28);
        line-height: rem(32);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(32);
        line-height: rem(38);
    }
}

h3, .h3 {
    font-weight: 600;
    font-size: rem(24);
    margin-bottom: rem(30);

    @include media-breakpoint-up(md) {
        font-size: rem(24);
        line-height: rem(30);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(24);
        line-height: rem(30);
    }
}

h4, .h4 {
    font-weight: 500;
    font-size: rem(18);
    margin-bottom: rem(27);
}

h5, .h5 {
    font-weight: 500;
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $yellow;
    text-decoration: none;

    &.hover,
    &:hover {
        color: $yellow-hover;
        text-decoration: none;
    }

    &.active,
    &:active {
        color: $yellow-active;
    }

    &.disabled,
    &:disabled {
        color: #2D2D2D;
        cursor: default;
    }
}

p {
    margin-top: 0;
    margin-bottom: rem(16);

    &:last-child {
        margin-bottom: 0;
    }
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


